classification
Title: msilib does not work correctly with non-ASCII names
Type: behavior Stage: resolved
Components: Extension Modules, Windows Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, paul.moore, serhiy.storchaka, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2020-06-22 09:49 by serhiy.storchaka, last changed 2020-06-25 09:14 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21126 merged serhiy.storchaka, 2020-06-24 18:59
PR 21133 merged miss-islington, 2020-06-25 08:37
PR 21134 merged miss-islington, 2020-06-25 08:37
Messages (5)
msg372083 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-22 09:49
It encodes input string arguments with utf-8 and pass encoded strings to 8-bit API which expect they be encoded using the locale encoding. It may pass tests, create and read files, but these files will just have wrong names.
msg372306 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-25 08:37
New changeset 55939b1708d6fc0d36d2be11ccdc6bf207e1bd41 by Serhiy Storchaka in branch 'master':
bpo-41074: Fix support of non-ASCII names and SQL in msilib. (GH-21126)
https://github.com/python/cpython/commit/55939b1708d6fc0d36d2be11ccdc6bf207e1bd41
msg372312 - (view) Author: miss-islington (miss-islington) Date: 2020-06-25 09:12
New changeset 3f4de44cf7f3da754efbbc0e70feabf3b9384dce by Miss Islington (bot) in branch '3.8':
bpo-41074: Fix support of non-ASCII names and SQL in msilib. (GH-21126)
https://github.com/python/cpython/commit/3f4de44cf7f3da754efbbc0e70feabf3b9384dce
msg372313 - (view) Author: miss-islington (miss-islington) Date: 2020-06-25 09:13
New changeset 0ef6a3fc0eb9337656ef843bbcde09c15267173d by Miss Islington (bot) in branch '3.9':
bpo-41074: Fix support of non-ASCII names and SQL in msilib. (GH-21126)
https://github.com/python/cpython/commit/0ef6a3fc0eb9337656ef843bbcde09c15267173d
msg372314 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-25 09:14
There are also problems with FCICreate, but this is a different issue.
History
Date User Action Args
2020-06-25 09:14:07serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg372314

stage: patch review -> resolved
2020-06-25 09:13:02miss-islingtonsetmessages: + msg372313
2020-06-25 09:12:45miss-islingtonsetmessages: + msg372312
2020-06-25 08:37:46miss-islingtonsetpull_requests: + pull_request20295
2020-06-25 08:37:39miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20294
2020-06-25 08:37:20serhiy.storchakasetmessages: + msg372306
2020-06-24 18:59:33serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request20289
2020-06-22 09:49:53serhiy.storchakalinkissue41069 dependencies
2020-06-22 09:49:24serhiy.storchakacreate